Subject: [dhcwg] (short) WGLC to confirm changes to draft-ietf-dhc-option-guidelines-15 - respond by December 16th

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 9 Dec 2013 18:56:06 +0000

Hi:

While an earlier version of draft-ietf-dhc-option-guidelines was last called and went to the IESG, some of the IESG feedback changed the document in significant ways and thus we would appreciate the WG review these changes. You can use the tools at http://tools.ietf.org/html/draft-ietf-dhc-option-guidelines to see the differences.

There is NO need to respond if you are in agreement (though you may certainly do so).

If you do have issues with the changes made, please respond detailing your objections.

This will be a 1 week last call and thus you must respond by (end of day anywhere in the world) December 16th.

Here's the list from Tomek's message outlining the major changes:

There's surprisingly large number of changes:

- FQDN vs addresses section rewritten

  (addresses 2 or 3 DISCUSSes)

- Privacy considerations section added

  (Stephen Farrell requested it)

- Added clarification that the doc can be used during experts review

  (addressed Benoit Claise's positive DISCUSS)

- the wording about RFC5908 (NTP option) ugliness was eased. The text

  simply states that it should not be used as a template for new

  options. (Brian Haberman was unhappy about old text)

- added references to RFC5986, RFC5223

  (Richard Barnes' comment)

- added clarification to text if the draft updates 3315 or not

  (result of latest discussions about unknown-msg draft)

- many smaller clarifications and explanations

  (other nits from IESG)

Most of them could be considered clarification changes, except the one about address vs FQDN. -14 text strongly suggested using address, unless there are compelling reasons to use FQDN. The new text tries to make more balanced approach and explores benefits and flaws of each approach. This updated text has been agreed with IESG members that raised DISCUSSes about its previous version.

-          Bernie and Tomek